### Function

# ECal Client error_create

since: 3.2

#### Declaration [src]

    GError*
    e_cal_client_error_create (
      ECalClientError code,
      const gchar* custom_msg
    )

#### Description

No description available.

Available since: 3.2

#### Parameters

`code`

  Type: `ECalClientError`

  An `ECalClientError` code to create.

`custom_msg`

  Type: `const gchar*`

  Custom message to use for the error; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GError`

A new `GError` containing an #E_CAL_CLIENT_ERROR of the given `code`. If the `custom_msg` is NULL, then the error message is the one returned from `e_cal_client_error_to_string()` for the `code`, otherwise the given message is used. Returned pointer should be freed with g_error_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.